Bug 73873 - File Corruption - Issue with embedded documents after RT
Summary: File Corruption - Issue with embedded documents after RT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Bartosz
QA Contact:
URL:
Whiteboard: target:5.5.0 target:5.4.1 target:5.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Corrupted
  Show dependency treegraph
 
Reported: 2014-01-21 12:41 UTC by Umesh Kadam
Modified: 2017-07-21 10:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
file contains header and footer with tables. (31.31 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-21 12:41 UTC, Umesh Kadam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Umesh Kadam 2014-01-21 12:41:01 UTC
Created attachment 92515 [details]
file contains header and footer with tables.

Steps to reproduce:
1. Open the file in LibreOffice
2. Click File -> Save As (Microsoft Word 2007/2010 (.docx))
3. Open saved file in MS Office
Expected:
File should open without any error.
Actual:
File corrupt dialog is shown
Comment 1 Jorendc 2014-01-24 21:23:26 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 8fd7a53d3cf1ed788c705cafb443801203787c9d
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-01-22_00:10:03

Opened with Word for Mac 2011.

Kind regards,
Joren
Comment 2 Joel Madero 2015-05-02 15:42:10 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-06-22 14:26:56 UTC
Not corrupt anymore after saving in LibO and opening with MSO. WFM.

Win 8.1 32-bit
MSO 2013

LibO Version: 5.1.0.0.alpha1+
Build ID: 2885e157674dbefa7d9b984a399fabd1238eeedd
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-22_07:52:27
Locale: fi-FI (fi_FI)
Comment 4 Xisco Faulí 2016-11-17 11:41:11 UTC
File still corrupted in

- Version: 5.3.0.0.alpha1+
Build ID: 757a60d01dd152aadab2ba3c8224252481ce8a88
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and 

- Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)
Comment 6 Xisco Faulí 2016-12-22 17:19:34 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2015-12-03 07:58:11 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2015-12-03 07:59:23 (GMT)
commit	ad90e22f1970d019e1f2a1e8ba8020c0f0cb36c4 (patch)
tree	470bda92748b2edf92107856d1cbe6dfd689fcb5
parent	73ed1178034fb391882d348f99699579cdff643a (diff)
Use comphelper::containerToSequence()

Adding Cc: to Miklos Vajna
Comment 8 Bartosz 2017-06-03 12:33:43 UTC
Review with fix is available at:
https://gerrit.libreoffice.org/#/c/38369/
Comment 9 Commit Notification 2017-06-04 02:29:37 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e547d147d6df7042db58bfa3060140c849493f4

tdf#73873 Fix missing embeddings in word/embeddings directory

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-07-21 09:53:02 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a169551433a0897ca9b1baccbfce134059aef05&h=libreoffice-5-4

tdf#73873 Fix missing embeddings in word/embeddings directory

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-07-21 10:04:57 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d266660d5aad44118187feee51d4b0f38e4586f3&h=libreoffice-5-4-0

tdf#73873 Fix missing embeddings in word/embeddings directory

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.